package net.ihe.gazelle.goctests.interlay;

import net.ihe.gazelle.goctests.application.exceptions.ValidatorGenerationException;
import net.ihe.gazelle.goctests.application.models.GeneratedValidator;
import net.ihe.gazelle.goctests.application.ValidatorGenerator;
import org.junit.Ignore;
import org.junit.Test;

public class ValidatorGeneratorTest {

    /**
     * This is made as utility for local tests, to be ignore at package time
     * due to performance issues
     */
    @Ignore
    @Test
    public void generateValidatorTest(){

        ValidatorGenerator validatorGenerator = new ValidatorGeneratorImpl();
        String bbr = "/home/aai@kereval.com/IdeaProjects/GOCFomGit/gazelle-objects-checker/hl7templates/goc-tests/goc-tests-runner/src/main/resources/datatype/decor_datatype.xml";
        String output = "/home/aai@kereval.com/IdeaProjects/GOCFomGit/gazelle-objects-checker/testing/test-4";
        String mvn = "/opt/apache-maven-3.5.4/bin/mvn";
        try {
            GeneratedValidator validator = validatorGenerator.generateValidator(bbr,output,mvn);
            System.out.println(validator);
        } catch (ValidatorGenerationException e) {
            e.printStackTrace();
        }
    }
}